(* $Id: c_button.mli,v 1.5 2006/08/03 05:26:11 deraugla Exp $ *)

open Rtdecl;

(*
    Buttons are widgets holding a non mutable text, sensitive to mouse
    button press and release. When a mouse button is pressed in the widget,
    the button appears in inverse video. Useful to trigger a specific action,
    or pop up a menu.
 *)

(*** Reported events *)

type button_event =
  [ ButtonEvEnter of int and int
  | ButtonEvPress of int and int and modified int
  | ButtonEvRelease of int and int and modified int
  | ButtonEvSizeChange
  | ButtonEvShortcut ]
;

(*** Button widget builder *)

type button_args = (string * option char);
type button_event_handler = widget -> button_event -> unit;

value button_desc :
  list attribute -> button_args -> button_event_handler -> widget_desc;

(*** Button default attributes values *)

value button_border : ref int;
value button_band : ref int;
value button_bold : ref int;
value button_bold_band : ref int;
value button_font : ref string;
